List Ledger Entries

Returns a list of ledger entries.
By default, entries from fiscal periods that are closed or frozen are excluded.
However, if a 'date' filter is provided, it will return all entries within the specified date range, even if they fall within a closed or frozen fiscal period.

ℹ️

This endpoint requires one of the following scopes: ledger_entries:all, ledger_entries:readonly

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

Existing company identifier (id)

Query Params
string

Cursor for pagination. Use this to fetch the next set of results. The cursor is an opaque string returned in the previous response's metadata. Leave empty for the first request.

integer
1 to 100

Number of items to return per request.
Defaults to 20 if not specified.
Must be between 1 and 1000.

string

You can choose to filter items on specific fields.
Available fields and values:

  • id,journal_id: lt, lteq, gt, gteq, eq, not_eq, in, not_in
  • date: lt, lteq, gt, gteq, eq, not_eq
string

You can choose to sort items on specific attributes
Sort field may be prefixed with - for descending order.
Example : date will sort by ascending order, -date will sort by descending order.
Available fields : id, date

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json